Adobe Bridge this application requires an Intel Pentium 4

Asked By 0 points N/A Posted on -
qa-featured

I want to do work at Adobe Bridge but when I try to install this software then I receive below error. My computer Detail.

Computer Detail:

AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ 2.19 GHz, 960 MB of RAM physical Address Extension.

You can see my computer fulfill all requirements then why I receive this error please tell me urgent. All error detail is given below for your understanding.

This application requires an Intel Pentium 4, Intel  Celeron

Adobe Bridge

This application requires an Intel Pentium 4, Intel

Celeron, Inter Core Duo Or Intel Core 2 compatible

processor. (0/6/5895)

The application may perform. Are you sure you want

to continue?

Yes No

Don’t show again

SHARE
Answered By 0 points N/A #120789

Adobe Bridge this application requires an Intel Pentium 4

qa-featured

Hello,

Adobe bridge showed you the system requirements that it can run smoothly and your specs didn't meet the requirements. I will give you an advice, you should upgrade your system. If you prefer upgrades then you don't have to worry installing anything because you can get good specs that can run any program.

Upgrade will be the best choice. But if you really want to use adobe bridge in your current specs, you can check "Don't show again" and click yes. Adobe bridge will run but as the program explain, the application may perform poorly and you should expect that.

You can decide to continue using it or plan to upgrade someday. Always remember that technology upgrades, don't be left behind. If you find it too expensive to upgrade, try upgrading 1 by 1, by tie you'll find yourself having a good computer.

Login/Register to Answer

Related Questions